<?
require_once ('system/func.php');
auth(); // Закроем от не авторизованных
$title = 'Клановые монстры';
require_once ('system/header.php');
$id = num($_GET['id']);
$monsters = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan_monsters` WHERE `id` = '$id'"));
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id_clan` > '0' and `id` = '$user[id]' "));
$clan_monsters_fight_clan = mysql_fetch_array(mysql_query("SELECT * FROM `clan_monsters_fight` WHERE `id_clan` = '$user[id_clan]' "));
$clan_key = mysql_fetch_array(mysql_query("SELECT * FROM `clans` WHERE `id` = '$user[id_clan]'  "));

###########################################Настройки локации########################################
$time_need_kill_monster = 60; //Сколько минут что бы убить монстра 
$div= "</div>";//Закрыт div class
if(!$clan){//Проверка состоит ли в клане  игрок
header('location:/');
exit;
}
 $monsters_reward = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan_monsters` WHERE `id` = ' $user[id_monster]'"));


 if(isset($_GET['take']) and $user[monsters_status] == 'reward'  and $user[id_monster]> 0){
        mysql_query("DELETE  FROM `monsters_log`   WHERE `id_clan`='$user[id_clan]' ");
        mysql_query("DELETE  FROM `clan_monsters_fight`   WHERE `id_clan`='$user[id_clan]' ");
        mysql_query("UPDATE `users`  SET  `point_honor`='".($user[point_honor] + $monsters_reward[reward_point_user])."'  ,  `monsters_status`='fight' , `id_monster`='0' WHERE `id`='$user[id]' ");

        $_SESSION['msg'] = div('header')." Награда ".ico('icons' , 'honor.png')." $monsters_reward[reward_point_user] </div>";
        header('location: /monsters/');
        exit();
        
     }
   
   
  if($user[monsters_status] == reward  and $user[id_monster]> 0){
     
    
     echo div('block_c')." $monsters_reward[name] повержен </div>";
          echo div('header')." Награда ".ico('icons' , 'honor.png')." $monsters_reward[reward_point_user]</div>";

         echo div('block_c')."<div class='cbtn red center mt3'><span class='cb_end'><span class='cb_ttl'><a href='/monsters/reward/'> Забрать награду </span></span></div> </a></div>";

      exit;
      
  }
  
  
      if($clan_monsters_fight_clan[health_monsters] > 0){
 	header('location:/monster/fight/');
    exit;

 }
 

 



 
 switch (isset($_GET['act'])) {
    
 	
 		    
 		    
 	case 'start': //Начать бой
   
 	if($clan['clan_rang'] < 4 ){ // Проверяем если игрок не может начать бой
 	     $_SESSION['msg'] = div('block_c')."Начать бой могут генералы и лидер клана</div>";
 	     header('location:/monsters/');
	     exit;
 	}
 	//Конец проверки

    if($clan_key['level'] < $monsters['level']) {//Проверка доступен монстр по уровню
     $_SESSION['msg'] = div('block_c')."Уровень монстра больше чем клана</div>";
     header('location:/monsters/');
	  exit;
    }
    
    //Конец проверки
    
     if($clan_key['crystals'] <   $monsters['crystals']) {//Проверить хватает ли ключов ,но делаем для 1 монстра исключение
     $_SESSION['msg'] = div('block_c')."Не хватает кристалов</div>";
     header('location:/monsters/');
	  exit;
     }//Конец проверки
    
    if(!$clan_monsters_fight_clan and $_GET['act']=='start' ){
 	
    mysql_query("INSERT INTO `clan_monsters_fight` SET `id_monster` = '$monsters[id]', `id_clan` = '$clan_key[id]'  , `health_monsters`  = '$monsters[health]' ,  `time`  = '".(time() + 60 *$time_need_kill_monster)."' ");
    mysql_query("UPDATE `clans`  SET  `crystals`='".($clan_key[crystals] - $monsters[crystals])."'  WHERE `id`='$clan_key[id]' ");
    header('location:/monster/fight/');
    exit;
}

       exit;

        break;
    

 	
 

 }



     echo div('block_c')."Кристаллы в клане: $clan_key[crystals]</div>";

$mosters = mysql_query("SELECT * FROM `clan_monsters`");

while ($m =mysql_fetch_assoc($mosters) ){

	echo div('block_l')." <img  width='100px' src='".$m[img]." class='bord'> ".$m[name]." ".ico('icons','level.png')."".$m[level]."ур.<br>  ".ico('icons','health.png')." ".$m[health]." ".ico('icons','str.png')." ".$m[str]."".ico('icons','def.png')."".$m[def]." </div> ";

 echo div('block_c')." Нужно кристаллов: $m[crystals]</div>";

	echo $c;
    echo div('block_c')."<div class='cbtn red center mt3'><span class='cb_end'><span class='btn btn-green'><a href='/monsters/start/$m[id]/'> Начать сражение </span></span></div> </a></div>";

}
require_once ('system/footer.php');